# Brush Size Unlimiter

![Brush Ingame](https://raw.githubusercontent.com/Cgameworld/BrushSizeUnlimiter/master/preview1.jpg)

This mod raises the maximum size that brushes can be set to in the tool menu and in the devmode panel. 

Works both ingame and in the asset editor. The mod on default sets the maximum brush size to 10000. 

# Requirements
- BepInEx 5

# Installation
1) Download the mod from either [thunderstore.io](https://thunderstore.io/c/cities-skylines-ii/p/Cgameworld/Brush_Size_Unlimiter) or from the mod's releases page on [GitHub](https://github.com/Cgameworld/BrushSizeUnlimiter/releases) 
2) If installing from GitHub, place BrushSizeUnlimiter folder inside `BepInEx/plugins`

# Settings

![Mod Settings Panel](https://raw.githubusercontent.com/Cgameworld/BrushSizeUnlimiter/master/preview2.jpg)

In the mod settings, the maximum brush size can be configured from a low of 1000 to a high of 20000.

Set the maximum brush size to what your computer can handle, as the larger the brush size the more performance degrades. The maximum brush size of 20000 covers the entire unlockable play area!

# Notes

- When using extremely large brush sizes avoid placing trees or objects at full strength, if the brush is too big your game might crash
- If the brush touches over the edge of your city's purchased area, none of the brush actions will apply, enable anarchy with the mod [Anarchy](https://thunderstore.io/c/cities-skylines-ii/p/yenyang/Anarchy/) by yenyang to overcome this.


# Changelog

## 1.0.0 
- Initial Release

# Acknowledgements

Thanks to the Cities Skylines 2 modding community for making modding more accessible

# Conclusion

[Source Code](https://github.com/Cgameworld/BrushSizeUnlimiter/)   
[Discord](https://discord.gg/tDZhaMrgsQ)

If you like this mod be sure to leave an upvote! Thanks